/**
 *
 * Diplomova prace
 * Stinove techniky na dnesnim hardware a jejich porovnani
 *
 * Michal Toth
 *
 * Fakulta informacnich technologii
 * Vysoke uceni technicke v Brne
 *
 * 2013/2014
 *
 */

/*
 * Fragment shader pro zobrazeni normal
 */

#version 420

in vec3 position;
in vec3 normal;

out vec4 fragColor;

void main() {
    fragColor = vec4((normal+1)*0.5,1);
}
